package com.ruoyi.dz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科目组合对象 dz_select_subject
 * 
 * @author ruoyi
 * @date 2025-09-27
 */
public class DzSelectSubject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 组合id */
    private String groupId;

    /** 组合名称 */
    @Excel(name = "组合名称")
    private String name;

    /** 序号 */
    @Excel(name = "序号")
    private Long rank;

    /** 首选科目 */
    @Excel(name = "首选科目")
    private String course0;

    /** 次选科目 */
    @Excel(name = "次选科目")
    private String course1;

    /** 1表3+1+2，2表3+3，3文理科,100职高对口 */
    @Excel(name = "1表3+1+2，2表3+3，3文理科,100职高对口")
    private String newgaokaoType;

    public void setGroupId(String groupId) 
    {
        this.groupId = groupId;
    }

    public String getGroupId() 
    {
        return groupId;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setRank(Long rank) 
    {
        this.rank = rank;
    }

    public Long getRank() 
    {
        return rank;
    }

    public void setCourse0(String course0) 
    {
        this.course0 = course0;
    }

    public String getCourse0() 
    {
        return course0;
    }

    public void setCourse1(String course1) 
    {
        this.course1 = course1;
    }

    public String getCourse1() 
    {
        return course1;
    }

    public void setNewgaokaoType(String newgaokaoType) 
    {
        this.newgaokaoType = newgaokaoType;
    }

    public String getNewgaokaoType() 
    {
        return newgaokaoType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("groupId", getGroupId())
            .append("name", getName())
            .append("rank", getRank())
            .append("course0", getCourse0())
            .append("course1", getCourse1())
            .append("newgaokaoType", getNewgaokaoType())
            .toString();
    }
}
